zenilib: zenilib/jni/external/freetype2/src/truetype/ttgxvar.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
ttgxvar.h File Reference
`#include <ft2build.h>`
`#include "ttobjs.h"`

Go to the source code of this file.

## Classes

struct | GX_AVarCorrespondenceRec_
struct | GX_AVarSegmentRec_
struct | GX_BlendRec_

## Macros

#define | TTAG_opsz FT_MAKE_TAG( 'o', 'p', 's', 'z' )
#define | TTAG_slnt FT_MAKE_TAG( 's', 'l', 'n', 't' )
#define | TTAG_wdth FT_MAKE_TAG( 'w', 'd', 't', 'h' )
#define | TTAG_wght FT_MAKE_TAG( 'w', 'g', 'h', 't' )

## Typedefs

typedef FT_BEGIN_HEADER struct GX_AVarCorrespondenceRec_ * | GX_AVarCorrespondence
typedef FT_BEGIN_HEADER struct GX_AVarCorrespondenceRec_ | GX_AVarCorrespondenceRec_
typedef struct GX_AVarSegmentRec_ * | GX_AVarSegment
typedef struct GX_AVarSegmentRec_ | GX_AVarSegmentRec
typedef struct GX_BlendRec_ | GX_BlendRec
typedef enum GX_TupleCountFlags_ | GX_TupleCountFlags
typedef enum GX_TupleIndexFlags_ | GX_TupleIndexFlags

## Enumerations

enum | GX_TupleCountFlags_ { GX_TC_TUPLES_SHARE_POINT_NUMBERS = 0x8000, GX_TC_RESERVED_TUPLE_FLAGS = 0x7000, GX_TC_TUPLE_COUNT_MASK = 0x0FFF }
enum | GX_TupleIndexFlags_ { GX_TI_EMBEDDED_TUPLE_COORD = 0x8000, GX_TI_INTERMEDIATE_TUPLE = 0x4000, GX_TI_PRIVATE_POINT_NUMBERS = 0x2000, GX_TI_RESERVED_TUPLE_FLAG = 0x1000, GX_TI_TUPLE_INDEX_MASK = 0x0FFF }

## Functions

| tt_done_blend (FT_Memory memory, GX_Blend blend)
| tt_face_vary_cvt (TT_Face face, FT_Stream stream)
| TT_Get_MM_Var (TT_Face face, FT_MM_Var **master)
| TT_Set_MM_Blend (TT_Face face, FT_UInt num_coords, FT_Fixed *coords)
| TT_Set_Var_Design (TT_Face face, FT_UInt num_coords, FT_Fixed *coords)
| TT_Vary_Get_Glyph_Deltas (TT_Face face, FT_UInt glyph_index, FT_Vector **deltas, FT_UInt n_points)

## Macro Definition Documentation

#define TTAG_opsz FT_MAKE_TAG( 'o', 'p', 's', 'z' )

Definition at line 140 of file ttgxvar.h.

#define TTAG_slnt FT_MAKE_TAG( 's', 'l', 'n', 't' )

Definition at line 141 of file ttgxvar.h.

#define TTAG_wdth FT_MAKE_TAG( 'w', 'd', 't', 'h' )

Definition at line 139 of file ttgxvar.h.

#define TTAG_wght FT_MAKE_TAG( 'w', 'g', 'h', 't' )

Definition at line 138 of file ttgxvar.h.

## Typedef Documentation

typedef FT_BEGIN_HEADER struct GX_AVarCorrespondenceRec_ * GX_AVarCorrespondence

typedef FT_BEGIN_HEADER struct GX_AVarCorrespondenceRec_ GX_AVarCorrespondenceRec_

typedef struct GX_AVarSegmentRec_ * GX_AVarSegment

typedef struct GX_AVarSegmentRec_ GX_AVarSegmentRec

typedef struct GX_BlendRec_ GX_BlendRec

typedef enum GX_TupleCountFlags_ GX_TupleCountFlags

typedef enum GX_TupleIndexFlags_ GX_TupleIndexFlags

## Enumeration Type Documentation

enum GX_TupleCountFlags_

Enumerator
GX_TC_TUPLES_SHARE_POINT_NUMBERS |
GX_TC_RESERVED_TUPLE_FLAGS |
GX_TC_TUPLE_COUNT_MASK |

Definition at line 109 of file ttgxvar.h.

enum GX_TupleIndexFlags_

Enumerator
GX_TI_EMBEDDED_TUPLE_COORD |
GX_TI_INTERMEDIATE_TUPLE |
GX_TI_PRIVATE_POINT_NUMBERS |
GX_TI_RESERVED_TUPLE_FLAG |
GX_TI_TUPLE_INDEX_MASK |

Definition at line 127 of file ttgxvar.h.

## Function Documentation

tt_done_blend | ( | FT_Memory | memory,
|  | GX_Blend | blend
| ) |  |

Referenced by tt_face_done().

tt_face_vary_cvt | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Referenced by tt_face_load_cvt().

TT_Get_MM_Var | ( | TT_Face | face,
|  | FT_MM_Var ** | master
| ) |  |

TT_Set_MM_Blend | ( | TT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

TT_Set_Var_Design | ( | TT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

TT_Vary_Get_Glyph_Deltas | ( | TT_Face | face,
|  | FT_UInt | glyph_index,
|  | FT_Vector ** | deltas,
|  | FT_UInt | n_points
| ) |  |

Referenced by load_truetype_glyph(), and TT_Process_Simple_Glyph().